# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

## Classes

- _global_
- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Button
- Checkbox
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- CircumcircleSector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Group
- Hatch
- Hyperbola
- Image
- Incenter
- Incircle
- Inequality
- Input
- Integral
- Intersection
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CA
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.CoordsElement
- JXG.Curve
- JXG.Dump
- JXG.EventEmitter
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.NoRenderer
- JXG.Options
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Transformation
- JXG.Turtle
- JXG.Util
- JXG.Util.Base64
- JXG.Util.Unzip
- JXG.Util.UTF8
- JXG.VMLRenderer
- JXG.XML
- Label
- Line
- Locus
- MajorArc
- MajorSector
- Midpoint
- MinorArc
- MinorSector
- Mirrorpoint
- NonReflexAngle
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- PerpendicularPoint
- PerpendicularSegment
- Point
- PolarLine
- PolePoint
- Polygon
- Quadtree
- RadicalAxis
- Reflection
- ReflexAngle
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Slopetriangle
- Spline
- Stepfunction
- Tangent
- Tapemeasure
- Text
- Ticks
- Tracecurve
- Transformation
- Turtle

# Namespace JXG.EventEmitter

↳ JXG.EventEmitter

Defined in: event.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.EventEmitter Event namespace

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | JXG.EventEmitter.eventHandlers Holds the registered event handlers.
<static> | JXG.EventEmitter.suspended Events can be suspended to prevent endless loops.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | JXG.EventEmitter.eventify(o) Implements the functionality from this interface in the given object.
<static> | JXG.EventEmitter.off(event, handler) Unregister an event handler.
<static> | JXG.EventEmitter.on(event, handler, context) Register a new event handler.
<static> | JXG.EventEmitter.trigger(event, args) Triggers all event handlers of this element for a given event.

Namespace Detail
JXG.EventEmitter
Event namespace
Field Detail
<static> {Object} JXG.EventEmitter.eventHandlers
Holds the registered event handlers.

<static> {Object} JXG.EventEmitter.suspended
Events can be suspended to prevent endless loops.
Method Detail
<static> JXG.EventEmitter.eventify(o)
Implements the functionality from this interface in the given object. All objects getting their event handling capabilities from this method should document it by adding the `on, off, triggerEventHandlers` via the borrows tag as methods to their documentation:

    @borrows JXG.EventEmitter#on as this.on

Parameters:
{Object} o

<static> JXG.EventEmitter.off(event, handler)
Unregister an event handler.

Parameters:
{String} event
{Function} handler Optional

Returns:
  Reference to the object.

<static> JXG.EventEmitter.on(event, handler, context)
Register a new event handler. For a list of possible events see documentation of the elements and objects implementing the EventEmitter interface.

Parameters:
{String} event
{Function} handler
{Object} context Optional
  The context the handler will be called in, default is the element itself.

Returns:
  Reference to the object.

<static> JXG.EventEmitter.trigger(event, args)
Triggers all event handlers of this element for a given event.

Parameters:
{Array} event
{Array} args
  The arguments passed onto the event handler

Returns:
  Reference to the object.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Aug 23 2017 17:12:47 GMT-0000 (UTC)